* {
  margin: 0;
  padding: 0;
}

*, *:after, *:before {
  box-sizing: border-box;
}

body, html {
  height: 100%;
}

body {
  overflow-x: hidden;
}

#heroBlock {
  background-image: url("../images/victor-b-starling.jpg");
  height: 100vh;
  background-position: center;
  background-repeat: no-repeat;
  background-size: auto 100vh;
  background-attachment: fixed;
}

#hero{
  background: radial-gradient(rgba(40,40,40,1),  rgba(255,255,255, 0));
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
}

#heroBlock i {
  text-align: center;
  position: absolute;
  bottom: 1%;
  left: 50%;
  color: #FFF;
  animation: 1.5s bounce infinite;
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {transform: translateY(0);}
    40% {transform: translateY(-20px);}
    60% {transform: translateY(-10px);}
}

#hero div {
  display: inline-block;
  vertical-align: middle;
  padding: 1em;
  margin-top: -5vh;
}

#timeLineContent {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  -ms-flex-align: center;
      align-items: center;
  margin: auto;
  color: #242424;
  font-family: 'Ubuntu', sans-serif;
  font-weight: 400;
}

.timelineTitle {
  text-align: center;
  font-size: 3em;
  margin: auto;
  margin-bottom: 0.4em;
  color: #50AFE2;
  background-color: #01161D;
}

.timelineContent > div > p > b {
  font-weight: 600;
  color: #8F000A;
}

#contentInTimeLine {
  background-color: #03374B;
  width: 100%;
  position: relative;
}

#contentInTimeLine:after {
  content: '';
  display: block;
  position: absolute;
  left: 0;
  bottom: 100%;
  width: 0;
  height: 0;
}

/*
 * --  Timeline --
 * Basado en: https://codepen.io/itbruno/pen/KwarLp
 */
.timelineItem:after, .timelineItem:before {
  content: '';
  display: block;
  width: 100%;
  clear: both;
}

#timeline {
  width: 100%;
  margin-top: 30px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  padding: 0 10px;
}

#timeline:before {
  content: '';
  width: 3px;
  height: 100%;
  background-color: #d93043;
  left: 50%;
  top: 50px;
  position: absolute;
}

#timeline:after {
  content: '':
  ;clear:; both;
  display: table;
  width: 100%;
}

.timelineItem {
  margin-bottom: 50px;
  position: relative;
}

.timelineIcon {
  background: #d93043;
  width: 50px;
  height: 50px;
  position: absolute;
  top: 0;
  left: 50%;
  overflow: hidden;
  margin-left: -23px;
  border-radius: 50%;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
  -ms-flex-pack: center;
      justify-content: center;
}

.timelineIcon i {
  font-size: 25px;
  color: white;
}

.timelineContent {
  width: 45%;
  background: #FFFFFF;
  padding: 20px;
  box-shadow: 0 3px 0 rgba(0, 0, 0, 0.1);
  border-radius: 5px;
}

.timelineContent h2 {
  padding: 15px;
  background: #d93043;
  color: #FFF;
  margin: -20px -20px 0 -20px;
  border-radius: 3px 3px 0 0;
}

.timelineContent h3 {
  font-weight: 300;
  color: #434343;
  padding: 8px 0;
  font-size: 1em;
  text-align: left;
}

.timelineContent div {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
  -ms-flex-pack: center;
      justify-content: center;
}

.timelineContent img {
  width: 50%;
  height: auto !important;
  max-height: 200px;
  padding: .5em;
  object-fit: contain;
}

.timelineContent p {
  line-height: 1.45em;
  text-align: left;
}

.timelineContent:before {
  content: '';
  position: absolute;
  left: 45%;
  top: 20px;
  width: 0;
  height: 0;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-left: 7px solid #d93043;
}

.timelineContent.right {
  float: right;
}

.timelineContent.right:before {
  content: '';
  right: 45%;
  left: inherit;
  border-left: 0;
  border-right: 7px solid #d93043;
}

@media (max-width: 768px) {
  #timeline {
    margin: 30px;
    padding: 0;
    width: 90%;
  }
  #timeline:before {
    left: 0;
  }
  .timelineContent {
    width: 90%;
    float: right;
  }
  .timelineContent:before, .timelineContent.right:before {
    left: 10%;
    margin-left: -6px;
    border-left: 0;
    border-right: 7px solid #d93043;
  }
  .timelineIcon {
    left: 0;
  }
  .timelineContent div {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
        align-items: center;
    -ms-flex-pack: center;
        justify-content: center;
    -ms-flex-direction: column;
        flex-direction: column;
  }
  .timelineContent img {
    width: 80%;
    height: auto !important;
    display: block;
    padding: .5em;
  }
}
footer {
  background-color: #01234a;
  width: 100%;
  position: relative;
  color: #F2F2F2;
  text-align: center;
  padding-bottom: 1.7em;
}

footer:before {
  content: '';
  display: block;
  position: absolute;
  left: 0;
  bottom: 100%;
  width: 0;
  height: 0;
}

footer h1 {
  padding: 0.3em 0.7em;
  font-weight: 300;
  font-size: 2.5em;
}

footer h2 {
  text-align: center;
  padding: 0.1em 0.7em;
  font-weight: 300;
  font-size: 1.5em;
}

footer a {
  color: #F2F2F2;
}

footer a:hover {
  color: #F48484;
  transition: 0.3s ease;
}

footer p {
  font-size: 0.8em;
  padding-top: 0.6em;
}
